Page MenuHomePhabricator

RelatedArticles feature should be available in beta features
Closed, ResolvedPublic3 Story Points

Description

As a desktop user I want to be able to enable Read more from the beta features page in preferences.

Needed from @JKatzWMF:

  • Logo (from @Nirzar)
  • Title is "Read more"
  • Description (from you)

Details

Related Gerrit Patches:
mediawiki/extensions/RelatedArticles : devMake RelatedArticles available as a beta feature

Event Timeline

Jdlrobson created this task.Nov 2 2015, 5:43 PM
Jdlrobson assigned this task to JKatzWMF.
Jdlrobson raised the priority of this task from to Low.
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)
Jdlrobson set Security to None.
Jdlrobson edited a custom field.
KLans_WMF updated the task description. (Show Details)Nov 9 2015, 5:25 PM
KLans_WMF added a subscriber: Nirzar.

@Nirzar can you provide a logo at your earliest convenience? Thanks!

KLans_WMF edited a custom field.Nov 9 2015, 5:26 PM

@KLans_WMF @Jdlrobson

JKatzWMF reassigned this task from JKatzWMF to bmansurov.EditedNov 11 2015, 12:18 AM
JKatzWMF added a subscriber: DannyH.

Images ^
Title: "Read More" (open to suggestions here, but related articles is a little too close to home to a current, common page template)
Description: "Suggests related topics at the bottom of a page"
link to information: https://www.mediawiki.org/wiki/Reading/Web/Projects/Read_more
link to discussion: https://www.mediawiki.org/wiki/Talk:Reading/Web/Projects/Read_more-- thanks to @DannyH for enabling flow on this page

@phuedx since the current implementation of ReadMore depends on features from MobileFrontend, do you think the best course of action is to depend on T116601?

@phuedx since the current implementation of ReadMore depends on features from MobileFrontend, do you think the best course of action is to depend on T116601?

@bmansurov: Do you mean that this card should be blocked on T116601?

Oh! I've just seen the "Blocks" section at the top of the task. This task shouldn't block T116601.

Yes, it should be the other way around.

Moving back to 'to-do' until the 'blocked by' task is resolved.
My bad, i was thinking about readmore when the task clearly says related articles.

DannyH removed a subscriber: DannyH.Nov 12 2015, 11:23 PM

@JKatzWMF, can you clarify the scope of the card. The title talks about RelatedArticles, and your comment says "Read More". Do we need to make "Read More" a beta feature? Currently on desktop Related articles show as seen in this screenshot:

(bottom left). Do we want to remove that and show "Read More" at the bottom of the article? Thanks!

@bmansurov I'm sorry but I don't understand your question. I believe the feature: "Read more" is the name of the feature supported by the relatedarticles extension. This means they are one and the same Is that correct? We could call "read more" "related articles", but may pages actually have this built in as wikitext and I do not want to create confusion there.

As to how this applies to the left-nav 'related pages' on desktop, I have no opinion/agenda. If it is not powered by the same extension, we shouldn't touch it. If it is, then it is a bit more complicated as I don't want to remove anything without checking why it is there to begin with. Can you elaborate on the connection?

@JKatzWMF, sure. So the Related pages section you see in the above screenshot is coming from the RelatedArticles extension. Now that we're also showing those pages as Cards at the bottom of the content, there will be two places where the user can see related articles. So do we want to remove the links to related articles from the sidebar (bottom left) and keep only our newly developed ReadMore feature?

And currently the bottom left part of the screenshot is not enabled as a beta feature. It just shows up if the RelatedArticles is installed. So do we want to put related articles from the sidebar or the newly developed ReadMore, or both behind a beta feature?

So do we want to remove the links to related articles from the sidebar (bottom left) and keep only our newly developed ReadMore feature?

Yes! Are there any wikipedia's that have related articles installed and will see a change? If so, we will want to check with them.

And currently the bottom left part of the screenshot is not enabled as a beta feature. It just shows up if the RelatedArticles is installed. So do we want to put related articles from the sidebar or the newly developed ReadMore, or both behind a beta feature?

Well if we remove it, the question is moot...right?

RelatedArticles are enabled on WikiVoyage only.

Change 254096 had a related patch set uploaded (by Bmansurov):
Make RelatedArticles available as a beta feature

https://gerrit.wikimedia.org/r/254096

@Moushira, @JKatzWMF: We'll need to consult with WikiVoyage about:

  1. Whether or not we can remove the sidebar placement of the related articles, and
  2. Whether or not we should prioritise results from CirrusSearch's morelike: API over the editor-curated results

To be clear, none of the work that has been merged to RelatedArticles has overridden it's current behaviour in production, i.e. the "read more" feature is disabled by default (and therefore using CirrusSearch's morelike: API is too).

@Moushira, @JKatzWMF: We'll need to consult with WikiVoyage about:

  1. Whether or not we can remove the sidebar placement of the related articles, and
  2. Whether or not we should prioritise results from CirrusSearch's morelike: API over the editor-curated results

Obviously I agree we still need to consult with WikiVoyage, but I have a strong hunch editor-curated anything > all. ;)

Change 254096 merged by jenkins-bot:
Make RelatedArticles available as a beta feature

https://gerrit.wikimedia.org/r/254096

Jdlrobson closed this task as Resolved.Dec 2 2015, 2:03 AM